# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.calendar
Class CalendarQuery.ExtendedPropertyMatch

    java.lang.Object
      com.google.gdata.client.calendar.CalendarQuery.ExtendedPropertyMatch

Enclosing class:
  CalendarQuery

    public static class CalendarQuery.ExtendedPropertyMatch

extends java.lang.Object

The ExtendedPropertyMatch class corresponds to a single extended property match.

See Also:
  `CalendarQuery.setExtendedPropertyQuery( CalendarQuery.ExtendedPropertyMatch...)`, `CalendarQuery.getExtendedPropertyQuery()`

Field Summary
`static java.util.regex.Pattern` `EXT_PROP_QUERY_PATTERN` A pattern that matches exactly one extended property query within a compound extended property query.
`static int` `MAX_EXTENDED_PROPERTY_NAME_LENGTH` The maximum length of an extended property name.
`static int` `MAX_EXTENDED_PROPERTY_VALUE_LENGTH` The maximum length of an extended property value (after escaped characters have been converted into plain characters, e.g.
`static java.lang.String` `PROPERTY_NAME_REGEX` A regex describing the format of extended property names.
`static java.lang.String` `PROPERTY_VALUE_REGEX` A regex describing the format of extended property values.
`static java.lang.String` `SINGLE_EXT_PROP_QUERY_REGEX` Group 1: property name (without :'s and ='s).

Constructor Summary
`CalendarQuery.ExtendedPropertyMatch(java.lang.String name, java.lang.String value)`

Method Summary
`static CalendarQuery.ExtendedPropertyMatch[]` `arrayFromExtendedPropertyQueryString(java.lang.String extqQuery)` Converts strings of the form "[foo:bar][baz:bin]" to a map of "foo"->"bar" and "baz"->"bin".
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getExpression()`
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_EXTENDED_PROPERTY_NAME_LENGTH

    public static final int MAX_EXTENDED_PROPERTY_NAME_LENGTH

  The maximum length of an extended property name.

  See Also:
    Constant Field Values

### MAX_EXTENDED_PROPERTY_VALUE_LENGTH

    public static final int MAX_EXTENDED_PROPERTY_VALUE_LENGTH

  The maximum length of an extended property value (after escaped characters have been converted into plain characters, e.g. \" -> ").

  See Also:
    Constant Field Values

### PROPERTY_NAME_REGEX

    public static final java.lang.String PROPERTY_NAME_REGEX

  A regex describing the format of extended property names. The name can be a plain string without :'s and ='s.

  See Also:
    Constant Field Values

### PROPERTY_VALUE_REGEX

    public static final java.lang.String PROPERTY_VALUE_REGEX

  A regex describing the format of extended property values. The value can be:
  - a (possibly empty) plain string without ]'s (e.g. Foo Property), or
  - a (possibly empty) quoted string with back slashes and quotes escaped by back slashes (e.g. "\"[Property name]\"").

  See Also:
    Constant Field Values

### SINGLE_EXT_PROP_QUERY_REGEX

    public static final java.lang.String SINGLE_EXT_PROP_QUERY_REGEX

  Group 1: property name (without :'s and ='s). Group 2: property value (perhaps with surrounding quotes which should be stripped off).

  See Also:
    Constant Field Values

### EXT_PROP_QUERY_PATTERN

    public static final java.util.regex.Pattern EXT_PROP_QUERY_PATTERN

  A pattern that matches exactly one extended property query within a compound extended property query. E.g. when applied to `"[foo:bar][baz:"bin"]"`, it will consecutively match:
  1. [foo:bar] (group1: foo, group2: bar).
  2. [baz:"bin"] (group1: baz, group2: "bin". Please note that the quotes surrounding 'bin' also belong in the group text and should be stripped prior to further processing of the property value).

Constructor Detail

### CalendarQuery.ExtendedPropertyMatch

    public CalendarQuery.ExtendedPropertyMatch(java.lang.String name,
                                               java.lang.String value)

Parameters:
  `name` - extended property name. May contain up to 44 characters and may not contain ':' or '=' characters.
  `value` - to match against the `name` extended property. May contain up to 1024 characters.

Method Detail

### getName

    public java.lang.String getName()

### getExpression

    public java.lang.String getExpression()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### arrayFromExtendedPropertyQueryString

    public static CalendarQuery.ExtendedPropertyMatch[] arrayFromExtendedPropertyQueryString(java.lang.String extqQuery)

  Converts strings of the form "[foo:bar][baz:bin]" to a map of "foo"->"bar" and "baz"->"bin". Ignores quotation marks around values but not around keys. Unescapes backslash-escaped characters.

  Parameters:
    `extqQuery` - a non-null query string.
  Returns:
    array of `CalendarQuery.ExtendedPropertyMatch`.
  Throws:
    `java.lang.IllegalArgumentException` - whenever the extended property query syntax passed in is invalid.